/*** -*- Mode: Javascript; tab-width: 2;
  
The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

The Original Code is jslib team code.  
The Initial Developer of the Original Code is jslib team.

Portions created by jslib team are
Copyright (C) 2000 jslib team.  All
Rights Reserved.
  
Original Author: Pete Collins <pete@mozdev.org>
Contributor(s):
    
***/


if(typeof(JS_LIB_LOADED)=='boolean') {

const JS_PREFS_LOADED   = true;
const JS_PREFS_FILE     = 'prefs.js';
const JS_PREFS_CID      = "@mozilla.org/preferences;1";
const JS_PREFS_I_PREF   = "nsIPref";

/*********** PREFS *******************/
function Prefs () {}

Prefs.prototype = {

/*********** SET PREF ****************/
// bool
setBool : function (aPrefString, aInBool) {

  if(!aPrefString)
    return false;

  var rv;
  try {
    var Pref        = new Components.Constructor(JS_PREFS_CID, JS_PREFS_I_PREF);
    var pref        = new Pref();
    pref.SetBoolPref(aPrefString, aInBool)
    rv = true;

  } catch(e) {
			jslibError(e, "Failed to set bool pref", "NS_FAILURE_ERROR", JS_PREFS_FILE);
    	rv=false;
  }
  return rv;
},
/*********** SET PREF ****************/

/*********** GET PREF ****************/
// bool
getBool : function (aPrefString) {

  if(!aPrefString)
    return false;

  var rv;
  try {
    var Pref        = new Components.Constructor(JS_PREFS_CID, JS_PREFS_I_PREF);
    var pref        = new Pref();
    rv = pref.GetBoolPref(aPrefString)
  } catch(e) {
			jslibError(e, "Failed to get bool pref", "NS_FAILURE_ERROR", JS_PREFS_FILE);
    	rv=false;
  }
  return rv;
}
/*********** SET PREF ****************/

} // END CLASS
/*********** PREFS *******************/

jslibDebug('*** load: '+JS_PREFS_FILE+' OK');

} // END BLOCK JS_LOADED CHECK
    
// If jslib base library is not loaded, dump this error.
else
{  
    dump("JS_PREFS library not loaded:\n"                           +
         " \tTo load use: chrome://jslib/content/jslib.js\n"        +
         " \tThen: include (jslib_prefs);\n\n");
}
